package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 联系人
 * @TableName  contacts
 */
@Data
@TableName("contacts")
public class Contacts implements Serializable {

    /**
     * 联系人id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 联系人姓名
     */
    private String name;


    /**
     * 联系人手机号
     */
    private String phone;


    /**
     * 用户id
     */
    private Long userId;

    /**
     * 是否默认
     */
    private Integer isDefault;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;


    @Serial
    private static final long serialVersionUID = 1L;
}
